Bug 40835 - /usr/bin/mozilla can not handle comas in URLs
Summary: /usr/bin/mozilla can not handle comas in URLs
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: mozilla   
(Show other bugs)
Version: 7.1
Hardware: i386
OS: Linux
medium
low
Target Milestone: ---
Assignee: Christopher Blizzard
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-05-16 06:36 UTC by Aleksey Nogin
Modified: 2008-05-01 15:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-06-09 22:02:54 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Aleksey Nogin 2001-05-16 06:36:31 UTC
/usr/bin/mozilla would not work if called with a URL argument that contains
comas - mozilla-bin considers coma to be an argument separater in -remote
"openurl($URL)", not part of the URL.

My solution to this problem is replacing all comas in the URL with %2C.

P.S. Is this the right place for /usr/bin/mozilla bugs? Or now that
mozilla.org buuilds nightly (actually, more line weekly) RPMs, they belong
to bugzilla.mozilla.org?

Comment 1 Christopher Blizzard 2001-06-09 22:02:50 UTC
Hang on, is it a problem with the command line parsing in mozilla or is it the
shell script itself that has the problem?  What is an example url on the command
line that shows the problem?

Comment 2 Aleksey Nogin 2001-06-09 22:15:17 UTC
Possibly the interaction of the two. However, I no longer seem to be able to
reproduce it with recent builds


Note You need to log in before you can comment on or make changes to this bug.